<html>
<style>
    table, th, td {
        border: 1px solid black;
        border-collapse: collapse;
        padding: 10px;
    }
</style>
<h2>ELG Harvesting Report</h2>
<h4>{% now "SHORT_DATETIME_FORMAT" %}</h4>
<div>
    <table>
        <thead>
        <tr>
            <th>Provider</th>
            <th>Added to ELG</th>
            <th>Deleted from ELG</th>
            <th>Ignored</th>
            <th>Total Records Exposed</th>
            <th>Deleted from provider</th>
            <th>Active Records</th>
        </tr>
        </thead>
        <tbody>
        {% for result in results %}
            <tr>
                <td>{{ result.provider }}</td>
                <td>{{ result.added_to_elg }}</td>
                <td>{{ result.deleted_from_elg }}</td>
                <td>{{ result.ignored }}</td>
                <td>{{ result.total }}</td>
                <td>{{ result.records_marked_deleted }}</td>
                <td>{{ result.records_active }}</td>
            </tr>
        {% endfor %}
        </tbody>
    </table>
</div>
<hr>
<div>
    <h3>ERRORS</h3>
    {% for result in results %}
        <div>
            <h4><u>{{ result.provider }}</u></h4>
            <p>
                {% if result.import_errors.count != 0 %}
                    {{ result.import_errors }}
                {% else %}
                    <strong>No Errors</strong>
                {% endif %}
            </p>
        </div>
    {% endfor %}
</div>
</html>